"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = void 0;

var _lodashEs = require("lodash-es");

var _constants = require("../constants");

var _dateFns = require("date-fns");

/**
 * Calculate the date string offset from the date
 * @param {*} fn
 * @param {*} date
 */
const getFullDateOffset = (fn, date) => {
  if (!date) {
    return '';
  }

  const getDate = new Date(date);
  const offsetDate = (0, _lodashEs.isFunction)(fn) ? fn(getDate) : getDate;
  return (0, _dateFns.format)(new Date(offsetDate), _constants.strings.FORMAT_FULL_DATE);
};

var _default = getFullDateOffset;
exports.default = _default;