"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = void 0;

var _lodashEs = require("lodash-es");

/**
 * Get the splited array.
 * We expect separators to be string | string[] | null, but users
 * are also allowed to pass in other types.
 */
const getSplitedArray = (originString, separators) => {
  let splitedValue = [];

  if ((0, _lodashEs.isString)(separators) || (0, _lodashEs.isNumber)(separators)) {
    splitedValue = originString.split(separators);
  } else if ((0, _lodashEs.isArray)(separators)) {
    const tempChar = separators[0]; // temporary splitter

    splitedValue = originString;

    for (let i = 1; i < separators.length; i++) {
      splitedValue = splitedValue.split(separators[i]).join(tempChar);
    }

    splitedValue = splitedValue.split(tempChar);
  } else {
    splitedValue.push(originString);
  }

  return splitedValue;
};

var _default = getSplitedArray;
exports.default = _default;